import { DataPoint } from 'regression';
import { ChartDataSetsEx, DatasetConfig } from './types';
import { Point } from 'chart.js';
import { MetaSection } from './MetaSection';
declare type GetXY = (x: number, y: number) => Point;
export declare class MetaDataSet {
    chart: Chart;
    dataset: ChartDataSetsEx;
    /** Sections */
    sections: MetaSection[];
    /** Scales wil be initialized in beforeDraw hook */
    getXY: GetXY;
    topY?: number;
    bottomY?: number;
    /** Normalized dataset's data */
    normalizedData: DataPoint[];
    /** Is the dataset's data an array of {x,y}? */
    isXY: boolean;
    constructor(chart: Chart, ds: ChartDataSetsEx);
    /**
     * Normalize data to DataPoint[]
     * Only supports number[] and {x:number,y:number}
     */
    _normalizeData(data: any[]): DataPoint[];
    /** @private */
    _createMetaSections(cfg: DatasetConfig): MetaSection[];
    /** @private */
    _calculate(): void;
    adjustScales(): void;
    drawRegressions(): void;
    drawRightBorders(): void;
}
export {};
